--预兆
local sz把手="DoorLever"
function MapAugury_NoBoss()
	Q_设置机关门区域状态("ArenaDoor")
	local 机关信息=L机关信息(sz把手,"把手")
	if 机关信息.已开数量>=3 then
		--if L长时间未移动()>=30	then 
		--L重新加载地图()
		L更新地图()
	else 
		if L当前祭坛状态()==0		then 
			L设置全局坐标(机关信息.X,机关信息.Y)
		end
	end
end


function MapCrypt_NoBoss()
	local 机关信息=L机关信息("DoorSwitch","開關")
	Door = Door or "CryptSecretDoor"
	L设置门区域状态(Door,15,30)
	if 机关信息.已开数量<=0 and 机关信息.ID>0 then

		if 机关信息.距离<3		then 
			L打开对象(机关信息.ID)
		else 
	
			L设置全局坐标(机关信息.X,机关信息.Y)
		end 

	
	end
end

function Fn_迷雾十五()
local result=1
local Door="DeliriumDoor"
local _DeliriumnatorAct1="DeliriumnatorAct1"
local _回城处理="回城处理"
local _当前轮还未完成="当前轮还未完成"
	if L超时重置()>0		then 
		L返回城镇()
		L地图是否完成(1)
		result=0
	else 

		Q_设置机关门区域状态(Door)
		local waitTime=L事件计时("进图等待")

		local cmpTime=10
		local _仓库=L周围对象(sz普通仓库)
		local 拾取状态=L拾取()
		if waitTime<g常规设置.进图等待时间		then 
			L信息("进图等待.."..g常规设置.进图等待时间.." 秒 已等待"..waitTime.."秒")
			goto Exit
		end 
		local _触发机关=L周围对象(_DeliriumnatorAct1)

		if L是否存在地图提示("剩餘 0 隻怪物")~=1		then 
			L重置指定事件计数(_当前轮还未完成)
			-- if _触发机关.ID<=0	and Fn_当前是否存在普通仓库()==1	then 
			-- 	L地图是否完成(1)
			-- 	L信息("当前迷雾已经通关....")
			-- end 
			-- if	L地图是否完成()~=0			then -- 
			-- 	result=0
			-- 	goto Exit
			-- end
		end
	
		if _仓库.ID>0 and L是否包满(2,4)==0    then
			local _销毁物品数量=L物品处理数量("垃圾销毁")
			if _销毁物品数量>0		then 
				L执行销毁()
			else 
				if Fn_处理存仓()==0		then 
					L信息("存仓完成后.发现依然背包需要处理。选择回城处理")
					if L事件计时(_回城处理)>=16		then 
						L返回城镇()
						L地图是否完成(0)
					end
				else 
					L信息("当前背包满.前往仓库处理存仓")
				end 
			end
		else 
			
			L重置指定事件计数(_回城处理)
		
			if 拾取状态==0		then 
				
	
				if  _触发机关.ID>0		then 
					if   _触发机关.祭坛状态==2	and _触发机关.把手状态==1	then 
					
						if L事件计时(_DeliriumnatorAct1)>=3		then 
							result=0
							L地图是否完成(1)
						end
					
					else 

						if _触发机关.把手状态~=0		then 
							L重置指定事件计数(_当前轮还未完成)
							-- if _触发机关.距离>15		then 
							-- 	L闲置状态(1)
							-- else 
							-- 	L闲置状态(0)
							-- end 

							if L事件计时(_DeliriumnatorAct1)>=3		then 
								if L寻路(_触发机关.X,_触发机关.Y)==1		then 
									L点击对象(_触发机关.ID)
									
									L延时(1000)
							
								end 
							else 
								L信息("等待物品掉落5秒")
							end
						else 
							L闲置状态(0)
							--local _周围怪物=L周围对象("Monster")
							local _范围怪物=L指定范围是否存在怪物(20)
							local nExitTime= L事件计时(_当前轮还未完成)
							--if _周围怪物.ID>0	and _周围怪物.名称~=""	then 
				
							if _范围怪物>0	and 	_范围怪物<1000	then 
								L重置指定事件计数(_当前轮还未完成)
							else 
						
								L信息("离开副本计时."..nExitTime)
							
							end 
							if nExitTime>=cmpTime		then 
								result=0
					
								L地图是否完成(1)
								L返回城镇()
							else 

								L设置探索地图(探索类型.暂停)
								local _Boss=L周围对象("DeliriumDemonBoss")--BOSSeliriumDemonBossFina
						
					
								if _Boss.ID>0			then  --and  _Boss.隐藏==1
									L定点绕圈战斗(_Boss.X,_Boss.Y,15)
									--L设置全局坐标(_Boss.X,_Boss.Y,1)
								--	L寻路(_Boss.X,_Boss.Y)
								else 
									local _BB=L周围对象("loot_teleport_location")
									if _BB.ID>0	 and _BB.距离<10	then 
										L定点绕圈战斗(_BB.X,_BB.Y,15)
										--L设置全局坐标(_BB.X,_BB.Y,1)
										--L寻路(_BB.X,_BB.Y)
										--L定点战斗(_BB.X,_BB.Y,3)
										
									else 
										L定点绕圈战斗(_触发机关.X,_触发机关.Y,15)
									--	L设置全局坐标(_触发机关.X,_触发机关.Y,1)
									--	L寻路(_触发机关.X,_触发机关.Y)
									end
								end 
							end
							
						end 
					end
				end
			else 
				L闲置状态(1)
				L重置指定事件计数(_DeliriumnatorAct1)
			end
		end
	end 
::Exit::	
	return result
end 

function Q_青铜城寨BOSS()
	local 地图Ptr=L地图信息()
	
	local _BossName="Metadata/Monsters/PerennialKingStage2/PerennialKingMap@"
	L设置躲避参照物(GBossRoomMinimapIcon,6)
	L设置BOSS(_BossName,BOSS躲避距离)


	L设置围绕类型(0,g默认躲避间隔)--
	L前往参照物等待BOSS激活(1)
	L躲避开关(1)
	L设置躲避BOSS信息(4,"40000004",10,0)
	local _Boss=L周围对象(_BossName)
	if _Boss.ID>0	  		then 

		
	end

	if L取BOSS当前技能()==0x40000004		then 
		local nstep=0
		L关闭反击(2)
		L关闭地图探索(1)
		L设置爆炸物("")
		while To(100) do
	
			L禁用翻滚(2)
			local  Npc=L周围对象("Metadata/Monsters/NPC/MarakethMatriarchDreadnought_")
			if Npc.ID>0		then 
				if Npc.距离<=2	then 
					L周围反击(1,-1)
				end
	
				--L翻滚(Npc.X,Npc.Y,2000)
				L走路(Npc.X,Npc.Y)
				L设置全局坐标(Npc.X,Npc.Y,10)
			end
			if L取BOSS当前技能()~=0x40000004		then --
				if nstep>8	then 
					break
				else 
					nstep=nstep+1
				end 
			end 
			L延时(1000)
		end
		L禁用翻滚()
		L关闭反击()
		L关闭地图探索()
	
	
	else 
		
		L关闭反击()
		L关闭地图探索()

		
	end 
end 


function Q_岩石城寨()
	local _BossName="Metadata/Monsters/Doryani/DoryaniInThePast/DoryaniPast"


	--local _Boss=L周围对象(_BossName)
	--if _Boss.ID>0			then --
		L设置躲避参照物(GBossRoomMinimapIcon,6)
		local _BossName2="Metadata/Monsters/DoryaniMechSuit/DoryaniMech"
		
		L设置可以击杀的怪物("多里亞尼的凱旋,皇家奇術師．多里亞尼")
	
		local _Boss=L周围对象(_BossName2)

		if _Boss.ID>0 and _Boss.隐藏==0			then --

		
			L设置BOSS(_BossName2,BOSS躲避距离)
			
			L设置躲避BOSS信息(1,"40000003",0,0)--衝擊波
			L设置躲避BOSS信息(2,"40000011",1,0)--衝擊波
			L设置躲避BOSS信息(3,"40000010,4000001B,4000001C",0,0)
	
			
		else 
		
			L设置BOSS(_BossName,BOSS躲避距离)
			L前往参照物等待BOSS激活(1)
			L设置躲避BOSS信息(1,"40000014",0,0)--衝擊波
			L设置躲避BOSS信息(2,"40000027",0,500)

			L设置躲避BOSS信息(3,"40000005,40000008,40000017",1,0)
			L设置躲避BOSS信息(4,"40000005,4000000E",1,0)

			L设置躲避BOSS信息(5,"40000001B,40000001E,40000000C",1,0)
			L设置躲避BOSS信息(6,"40000006,40000012",1,0)
			L设置躲避BOSS信息(7,"40000001B,400000006,40000000C",1,0)

	
		end 



	
	L设置围绕类型(0,g默认躲避间隔)

	L躲避开关(1)
end 


-- function Q_法瑞爾巨石()
-- 	local 符文=L对象门状态(2,10000,"RuneRock")

-- 	local 启动后的符文=L对象门状态(2,10000,"_Source")
-- 	local nMaxDoor=6
-- 	if	启动后的符文.ID>0		then 
-- 		nMaxDoor=7
-- 	end
-- 	if 符文.ID>0	and 符文.对象数量>=nMaxDoor	then 

-- 		local _Boss激活=L周围对象("MegalithMiddle")
-- 		if _Boss激活.ID>0		then 
-- 			if L地图提示完成()==1		then 
				

-- 				if _Boss激活.距离<15		then 
-- 					-- L设置全局坐标(0,0,0)
-- 					-- L寻路(符文.X,符文.Y)
-- 					L延时(3000)
-- 					L保持距离(_Boss激活.X,_Boss激活.Y,20)
-- 				end 
-- 			else 
-- 				L地图是否完成(0)
-- 				local _当前BOSS=L周围BOSS()
-- 				if _当前BOSS.ID<=0		then 
-- 					L信息("前往BOSS激活点@@: "..符文.对象数量)
-- 					L寻路(_Boss激活.X,_Boss激活.Y)
-- 					L设置全局坐标(0,0,0)
-- 					L关闭地图探索(1)
-- 				else 
-- 					L关闭地图探索()
-- 				end
				
-- 			--	L关闭地图探索(2)
-- 			end 
-- 		end
-- 	end 
-- end


-- function Q_法瑞爾巨石()
-- 	local 符文=L对象门状态(2,10000,"RuneRock")

-- 	local 启动后的符文=L对象门状态(2,10000,"_Source")
-- 	local nMaxDoor=6
-- 	if	启动后的符文.ID>0		then 
-- 		nMaxDoor=7
-- 	end
-- 	if 符文.ID>0	and 符文.对象数量>=nMaxDoor	then 

-- 		local _Boss激活=L周围对象("MegalithMiddle")
-- 		if _Boss激活.ID>0		then 
-- 			if L地图提示完成()==1		then 
				

-- 				if _Boss激活.距离<15		then 
-- 					-- L设置全局坐标(0,0,0)
-- 					-- L寻路(符文.X,符文.Y)
-- 					L延时(3000)
-- 					L保持距离(_Boss激活.X,_Boss激活.Y,20)
-- 				end 
-- 			else 
-- 				L地图是否完成(0)
-- 				local _当前BOSS=L周围BOSS()
-- 				if _当前BOSS.ID<=0		then 
-- 					L信息("前往BOSS激活点@@: "..符文.对象数量)
-- 					L寻路(_Boss激活.X,_Boss激活.Y)
-- 					L设置全局坐标(0,0,0)
-- 					L关闭地图探索(1)
-- 				else 
-- 					L关闭地图探索()
-- 				end
				
-- 			--	L关闭地图探索(2)
-- 			end 
-- 		end
-- 	end 
-- end

function Q_法瑞爾巨石()
local _Boss激活=L周围对象("MegalithMiddle")
	if L地图提示完成()==1		then 

		L保持距离(_Boss激活.X,_Boss激活.Y,20)
		L延时(1500)
		L返回城镇()
		return 1
	
	end 

	if  L记录数组信息(1)==1	and  L记录数组信息(2)==1 and  L记录数组信息(3)==1 and  L记录数组信息(4)==1 and  L记录数组信息(5)==1	 and  L记录数组信息(6)==1 then 

		local 启动后的符文=L全图对象("BossSummoningLocationInactive",1)
		
	
		if _Boss激活.ID>0		then 
			local _法阵中心=L周围对象("MegalithBossSpawnLocation2")
	

			if _Boss激活.距离<3		then 
			
				L寻路(_Boss激活.X,_Boss激活.Y)
				
			else 
				L地图是否完成(0)
				local _当前BOSS=L周围BOSS()
				if _当前BOSS.ID<=0		then 
			
					if _法阵中心.ID>0		then 
		
						L寻路(_法阵中心.X,_法阵中心.Y)
					else 
						if 启动后的符文.ID>0		then 
							L寻路(启动后的符文.X,启动后的符文.Y)
						end 
					end 
				else 
				
					L关闭地图探索()
				end
				
			--	L关闭地图探索(2)
			end 
		else 
		
			if 启动后的符文.ID>0		then 
				L寻路(启动后的符文.X,启动后的符文.Y)
			end 
		end
	else 
	
		--L记录数组信息(1,)
		local 符文激活=L周围对象("RuneRock_01_Source")
	--	L信息("@@@0........"..符文激活.ID)
		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(1,1)
			end
		end 
	
		符文激活=L周围对象("RuneRock_02_Source")
		--L信息("@@@1........"..符文激活.ID)

		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(2,1)
			end
		end 
		
		符文激活=L周围对象("RuneRock_03_Source")
		--L信息("@@@2........"..符文激活.ID)

		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(3,1)
			end
		end 
		
		符文激活=L周围对象("RuneRock_04_Source")
		--L信息("@@@3........"..符文激活.ID)

		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(4,1)
			end
		end 
		
		符文激活=L周围对象("RuneRock_05_Source")
	--	L信息("@@@4........"..符文激活.ID)

		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(5,1)
			end
		end 
		
		符文激活=L周围对象("RuneRock_06_Source")

		--L信息("@@@5........"..符文激活.ID.."@@"..符文激活.距离)
		if 符文激活.ID>0	 	then 
			if  符文激活.门状态~=2		then 
				if 符文激活.距离<2.5	then 
					L点击对象(符文激活.ID)
					L延时(500)
				else 
					
					L寻路(符文激活.X,符文激活.Y)
				end 
			else 
				L记录数组信息(6,1)
			end
		end 

	end 
end


function Q_无量困境()

	--Metadata/Monsters/LeagueAzmeri/GuidingLight/GuidingLightDaemonMaze_@81  引导
	--Metadata/MiscellaneousObjects/PortalToggleableReverseVoodooKing 二阶段竞技场
local result=1

	local _Boss=L周围对象("VoodooKingBoss3MAP")
	local _引导=L周围对象("GuidingLightDaemonMaze_")
	local _竞技场=L周围对象("PortalToggleableReverseVoodooKing")
	local _柱子=L周围对象("BossRitualAltar")
	local _路口=L全图对象("EntrancePortal")
	local _队伍人数= L队伍人数()
	local _我是队长=L我是队长("")
	if  _引导.ID>0		then 
		--说明进入二阶段了
		if _队伍人数>0	and _我是队长==0		then --

			L前往队长身边()
			L延时(15*1000)

			Fn_召唤大号过来帮忙帝王(G大号阶段了可以进来,1)
			L延时(5*1000)

		
			goto _Next
		end
	end 

	if _Boss.ID<=0		then 
		_Boss=L周围对象("VoodooKingBoss2MAP")
	end 
	-- if _Boss.ID>0	and (_Boss.HP==0	or _Boss.隐藏==1)	then 
	-- 	_Boss=L周围对象("VoodooKingBoss2MAP")
	-- end 
	if L地面物品()>0		then 
		if L地图是否完成()==0		then 
	
			L地图是否完成(1)
			L信息("完成当前帝王..等待15秒")
			L寻路(_柱子.X,_柱子.Y)
			L延时(1*1000)
			L走路(_柱子.X,_柱子.Y)
		


		end 

		result=0
		goto _Next
	elseif _Boss.ID>0	and  _Boss.距离<=20	then 
		if _Boss.HP==0		then 
			if L地图是否完成()==0		then 
	
				L地图是否完成(1)
				L信息("完成当前帝王..等待15秒")
				L寻路(_柱子.X,_柱子.Y)
				L延时(1*1000)
				L走路(_柱子.X,_柱子.Y)
				L延时(15*1000)


			end 

			result=0
			goto _Next
		else 
			-- L设置BOSS("VoodooKingBoss2MAP",5)
		
			-- L设置围绕类型(0,g默认躲避间隔)
			-- L躲避开关(1)
	
			 if _Boss.隐藏==1	and _Boss.HP>0	then --and _Boss.护盾==100
			--	L寻路(_柱子.X,_柱子.Y)
				-- local Boss跟柱子的距离=0
				-- local 我跟柱子的距离=0
				-- if _柱子.ID>0		then 
				-- 	local _自身=L自身信息()
				-- 	Boss跟柱子的距离=L距离(_Boss.X,_Boss.Y,_柱子.X,_柱子.Y)
				-- 	我跟柱子的距离=L距离(_自身.X,_自身.Y,_柱子.X,_柱子.Y)
		
				-- end 
				-- if 我跟柱子的距离>Boss跟柱子的距离		then 
				-- 	L走路(_柱子.X,_柱子.Y)
				-- else 
	
					if _Boss.距离>1		then 
						L寻路(_Boss.X,_Boss.Y)
					end
				--end 
			--	L信息("BOSS无法攻击中....")
				-- if _Boss.距离>cmpDis		then
				-- 	L寻路(_Boss.X,_Boss.Y)
				-- else
				-- 	L寻路(_柱子.X,_柱子.Y)
				-- end
			
				--L设置探索地图(-1)
				-- L关闭地图探索()
				-- goto _Next
				L设置探索地图(-3)
				L关闭地图探索()
				goto _Next
			 elseif _Boss.HP==100	then --and _Boss.护盾==100	
			
				if _Boss.距离>1		then 
					L寻路(_Boss.X,_Boss.Y)
					L设置探索地图(-3)
					L信息("接近BOSS 进行连招")
				
				else 
					L设置探索地图(1)
				
				end
			 else 
				L设置探索地图(1)
			 end 
			-- 	L设置探索地图(0)
			-- 	L信息("AAABoss  ".._Boss.距离.."@@".._Boss.隐藏)
			-- 	result=1
			-- else
				
			-- 	L信息("@@@Boss  ".._Boss.距离.."@@".._Boss.隐藏)
			-- end 
		end 
	end 

	if _路口.X>0 and _路口.Y>0	and _竞技场.ID<=0	then 
		_竞技场.ID=1
		_竞技场.X=_路口.X
		_竞技场.Y=_路口.Y
	end 
	if _竞技场.ID>0		then 

		L信息("发现路口...")
		local nStep=0
		while To(100)==1 do

			if _队伍人数>0	and _我是队长==0		then --
		
			
	
				L前往队长身边()
				L延时(15*1000)
	
				Fn_召唤大号过来帮忙帝王(G大号阶段了可以进来,1)
				L延时(5*1000)
				break
			end

			local _自身=L自身信息()
			if nStep>300	then break end 
				
			if L距离(_竞技场.X,_竞技场.Y,_自身.X,_自身.Y)>1.5		then 
				L关闭地图探索(1)
				L寻路(_竞技场.X,_竞技场.Y)
			--	L设置全局坐标(_竞技场.X,_竞技场.Y)
			else 
				L打开对象(_竞技场.ID)
				L延时(1000)
				break
			end 
			nStep=nStep+1
		end

	else 
	

		if _引导.ID>0		then 

			L寻路(_引导.X,_引导.Y)
			L关闭地图探索(1)
			L信息("跟随引导精灵...")
		--	L设置全局坐标(_引导.X,_引导.Y)
		else 
			
			L关闭地图探索(0)
			result=0
		end 
	
	end
::_Next::
	return result
end



function Q_扭曲領域()

	--Metadata/Monsters/LeagueAzmeri/GuidingLight/GuidingLightDaemonMaze_@81  引导
	--Metadata/MiscellaneousObjects/PortalToggleableReverseVoodooKing 二阶段竞技场
local result=1

	local _启动裂隙=L周围对象("Metadata/MiscellaneousObjects/Breach/EndGameBreach")
	if _启动裂隙.ID>0	and  _启动裂隙.门状态~=2	then 
		L寻路(_启动裂隙.X,_启动裂隙.Y)
		g成功开启裂隙=0
	else 
		if g成功开启裂隙==0		then 
			g成功开启裂隙=1
			L关闭地图探索(1,10*1000)
			L信息("等待10秒后再开始")
		end 
		if g裂隙移动等待>3		then 
			g裂隙移动等待=0
			L关闭地图探索(1,2000)
		else 
			if L执行间隔("裂隙等待",1000)==1		then 
				g裂隙移动等待=g裂隙移动等待+1
			end 
		end 
	end 



::_Next::
	return result
end



function FB_自动切换事件(szMap)

	local result=0
	szMap = szMap or ""
	if szMap==""	then 
		local 地图Ptr=L地图信息()
		szMap=地图Ptr.地图类名
	end 

	if szMap=="MapAugury_NoBoss" or szMap=="MapAugury" then
		L设置地图内机关类名(sz把手)
		L设置开机关等待无怪时间(3)
		result=MapAugury_NoBoss()
	elseif szMap=="MapVaalFoundry_NoBoss" 	then
		
		L设置地图内机关类名("FlowingMetal_StartButton")

	elseif	szMap=="MapVaalFoundry"				then --
		local _Boss机关=L周围对象("VaalForgeMasterSluceLever")
		if _Boss机关.ID>0  and _Boss机关.距离<30		then 
			local _岩浆=L周围对象("MDGoldCrushLavaEdge")
			if _岩浆.ID>0		then 
				L保持距离(_岩浆.X,_岩浆.Y,6,1.5)
			end
			L设置地图内机关类名("VaalForgeMasterSluceLever")
		else 
			L设置地图内机关类名("FlowingMetal_StartButton,VaalForgeMasterSluceLever")
		end
	elseif szMap=="MapCrypt_NoBoss"  or  szMap=="MapCrypt"	then
		MapCrypt_NoBoss()

		--
	elseif szMap=="MapUberBoss_IronCitadel" 	then --鋼鐵城塞

		Fn_设置为指定路口("競技場")
		-- L开关进入下层路口(0)
		-- L开关返回上一层路口(0)
		-- L只进入指定下次路口("競技場")
	elseif szMap=="MapUberBoss_StoneCitadel" 	then --鋼鐵城塞
		local ObjBoss1=L周围对象("Metadata/Monsters/Doryani/DoryaniInThePast/DoryaniPastMap")
		
		if ObjBoss1.隐藏==1	and ObjBoss1.FHP==100 	then 
			L寻路(ObjBoss1.X,ObjBoss1.Y)
		end 

		Q_岩石城寨()
	elseif szMap=="MapUberBoss_CopperCitadel" 	then --鋼鐵城塞

		Q_青铜城寨BOSS()

	elseif szMap=="MapUniqueMegalith" 	then --

		 
		Q_法瑞爾巨石()
	elseif szMap=="MapUniqueCastaway" 	then --

		local item=L背包信息("腐爛背包充能")
	
		--local 放置炸药点=L周围对象("WaveSprayEmitterPoint")
		local _包裹=L周围对象("Castaway")
		local _自身=L自身信息()

		if _包裹.ID>0 and _包裹.把手状态==1		then --
			L寻路(_包裹.X,_包裹.Y)
			L点击对象(_包裹.ID)
			L关闭地图探索(1)
			L延时(5000)
			L关闭地图探索()
		else 
			if item.ID>0 		then 
				local role=L自身信息()
				L放置炸药(role.X,role.Y)
				
			end
		end
	elseif szMap=="MapUberBoss_JadeCitadel"		then --魔影
		--Metadata/Monsters/KaruiChieftain/KaruiCaptainBoss_2Map@
	local _Boss2=L周围对象("Metadata/Monsters/KaruiChieftain/KaruiCaptainBoss_2Map@")
	if _Boss2.ID>0	then 
		if _Boss2.距离>6		then 
			L寻路(_Boss2.X,_Boss2.Y)
		end 
	end 
		
	elseif szMap=="MapUniqueLake"		then --魔影
		Fn_打开破碎之境()

	elseif szMap=="MapUniqueVault"		then --魔影
		Fn_打开金盒()

	elseif szMap=="MapWetlands"		then --
		Fn_打开湿地碑文()

	elseif szMap=="MapSandspit"		then --
		local BossName="Metadata/Monsters/GreatWhiteOne/GreatWhiteOneMAP_"
		local _Boss=L周围对象(BossName)
		if _Boss.ID>0	and _Boss.隐藏==1		then 
			--L信息("@@@@@@")
			L关闭反击(2)
			L关闭地图探索(1)
	
			L对象围绕(BossName,10,8,1500)

		else 
			L关闭反击()
		end 
		
	elseif szMap=="MapCrimsonShores"		then --

		local BossName="Metadata/Monsters/SaltGolem/SaltGolemBossMAP@"
		local _Boss=L周围对象(BossName)
		if _Boss.ID>0	and _Boss.隐藏==1	and _Boss.距离<6	then 
			--L信息("@@@@@@")
			L关闭反击(2)
			L关闭地图探索(1)

			L对象围绕(BossName,10,5,1500)

		else 
			L关闭反击()
		end 	
	elseif szMap=="MapNecropolis_NoBoss"		then --魔影


		L开关进入下层路口(0)
		L开关返回上一层路口(0)
		L只进入指定下次路口("樓梯,魔影墓場")
	elseif szMap=="MapChannel"		then --魔影
		 
		L开关进入下层路口(0)
	elseif szMap=="MapFortress" then  --MapCrypt 
		--local 把手=L周围对象("VaalForgeMasterSluceLever")
		L开关进入下层路口(0)
		L开关返回上一层路口(0)
		L设置地图内机关类名("BossChainAnchor")
		local 机关信息=L机关信息("BossChainAnchor","符文之印")
		L设置可以击杀的怪物("帕拉薩之魂")

		if 机关信息.已开数量<3		 then
			if  机关信息.距离<8		then 
				L关闭反击(2)
				L设置探索地图(探索类型.暂停)	
				L点击对象(机关信息.ID)
				result=1
			else 
				L关闭反击()
			end
		else 
			L关闭反击()

		end
	elseif szMap=="MapStronghold"		then --要塞
	
		Q_异界_要塞()
	elseif szMap=="Delirium_Act1Town" then  --迷雾15
	--	L当前地图计时(3)
		result=Fn_迷雾十五()
	elseif szMap=="RitualLeagueBoss" then  --迷雾15
		L当前地图计时(3)
		result=Q_无量困境()	
		
	elseif szMap=="BreachDomain_01" then  --裂隙副本	
		Q_扭曲領域()
	elseif szMap=="Abyss_Depths1" then  --
		Fn_激活附加复活点()
	
	elseif szMap=="G3_10" then  --混沌试炼

	else 
		L设置地图内机关类名()
		L设置开机关等待无怪时间(0)
		L开关进入下层路口()
		L开关返回上一层路口()
		L只进入指定下次路口("")
	end

	return result
end